- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Public Attributes | Protected Member Functions

# QStyleOptionViewItem Class Reference

Search for all occurrences

## Detailed Description

Definition at line 539 of file qstyleoption.h.

`#include <qstyleoption.h>`

Inheritance diagram for QStyleOptionViewItem:
[legend]

List of all members.

## Public Types
enum | StyleOptionType { Type = SO_ViewItem }
enum | StyleOptionVersion { Version = 1 }
enum | Position { Left, Right, Top, Bottom }
## Public Member Functions
| QStyleOptionViewItem ()
| QStyleOptionViewItem (const QStyleOptionViewItem &other)
## Public Attributes
Qt::Alignment | displayAlignment
Qt::Alignment | decorationAlignment
Qt::TextElideMode | textElideMode
Position | decorationPosition
QSize | decorationSize
QFont | font
bool | showDecorationSelected
## Protected Member Functions
| QStyleOptionViewItem (int version)

## Member Enumeration Documentation

enum StyleOptionType

Search for all occurrences

Enumerator:

  Type | Search for all occurrences

Reimplemented from QStyleOption.

Definition at line 542 of file qstyleoption.h.

    { Type = SO_ViewItem };

enum StyleOptionVersion

Search for all occurrences

Enumerator:

  Version | Search for all occurrences

Reimplemented from QStyleOption.

Reimplemented in QStyleOptionViewItemV2, QStyleOptionViewItemV3, and QStyleOptionViewItemV4.

Definition at line 543 of file qstyleoption.h.

    { Version = 1 };

enum Position

Search for all occurrences

Enumerator:

  Left | Search for all occurrences
  Right | Search for all occurrences
  Top | Search for all occurrences
  Bottom | Search for all occurrences

Definition at line 545 of file qstyleoption.h.

    { Left, Right, Top, Bottom };

## Constructor & Destructor Documentation

QStyleOptionViewItem | ( |  | ) |

QStyleOptionViewItem | ( | const QStyleOptionViewItem & | other | ) | `[inline]`

Definition at line 556 of file qstyleoption.h.

    : QStyleOption(Version, Type) { *this = other; }

QStyleOptionViewItem | ( | int | version | ) | `[protected]`

## Member Data Documentation

Qt::Alignment displayAlignment

Search for all occurrences

Definition at line 547 of file qstyleoption.h.

Qt::Alignment decorationAlignment

Search for all occurrences

Definition at line 548 of file qstyleoption.h.

Qt::TextElideMode textElideMode

Search for all occurrences

Definition at line 549 of file qstyleoption.h.

Position decorationPosition

Search for all occurrences

Definition at line 550 of file qstyleoption.h.

QSize decorationSize

Search for all occurrences

Definition at line 551 of file qstyleoption.h.

QFont font

Search for all occurrences

Definition at line 552 of file qstyleoption.h.

bool showDecorationSelected

Search for all occurrences

Definition at line 553 of file qstyleoption.h.

The documentation for this class was generated from the following file:

- QtGui/qstyleoption.h

QStyleOptionViewItem QStyleOptionViewItem QStyleOptionViewItem QStyleOptionViewItem QStyleOptionViewItem QStyleOptionViewItem QStyleOptionViewItem QStyleOptionViewItem QStyleOptionViewItem QStyleOptionViewItem
QStyleOptionViewItem QStyleOptionViewItem QStyleOptionViewItem QStyleOptionViewItem QStyleOptionViewItem QStyleOptionViewItem QStyleOptionViewItem QStyleOptionViewItem QStyleOptionViewItem QStyleOptionViewItem